Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004403Dwarf FortressDwarf Mode -- Itemspublic2011-03-31 02:022015-12-27 09:08
ReporterKogut 
Assigned Tolethosor 
PrioritynormalSeveritytweakReproducibilityalways
Statusneeds feedbackResolutionopen 
PlatformSDLOSwindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0004403: It is impossible to dump owned items
DescriptionGeneral bug/"design bug"/feature request
Steps To Reproducemark owned item for dumping
Additional InformationGeneral problem, specific cases: 0002008 (Dumping owned rotten food don't work), 0001299 (Rotting food still owned after owner goes insane, can't be dumped), owned clothes scattered around etc
TagsNo tags attached.
Attached Files

- Relationships
parent of 0001299new Rotting food still owned after owner goes insane, can't be dumped 
parent of 0007680confirmedFootkerchief Dwarves continually accumulate larger and larger numbers of tattered owned clothing items 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0021532)
Kogut (reporter)
2012-03-17 08:35
edited on: 2012-03-17 08:37

should be mostly fixed per 03/16/2012 devlog ("Toady One I dealt with the ownership of discarded items today. It lapses after a time if the item is not held by the dwarf or in the dwarf's rooms.")

But there may be a problem with a item in the room.

(0021537)
thvaz (reporter)
2012-03-17 11:33

It could be solved by disowning the room, though I think we would be in workaround territory...
(0034106)
NolanSyKinsley (reporter)
2015-12-21 14:15

this is still an issue as of 42.03. Militia dwarves drop food in their room after getting off duty and leave the food to rot, you are unable to dump the items as they are owned and they simply refuse to dump them, inevitably causing miasma.

Disowning the room did not work, the food was still owned by the dwarves and they still refused to dump it.
(0034148)
Loci (manager)
2015-12-22 20:54
edited on: 2015-12-22 20:54

@NolanSyKinsley:

Removing the room assignment *does* work, you just need to wait a month or so for the ownership to expire.

The root cause of your problem is likely that you have mining, woodcutting, or hunting labors enabled on your military dwarves, causing them to drop their uniform (including backpack and owned food) when they go off duty (0001451).

(0034150)
NolanSyKinsley (reporter)
2015-12-22 22:29
edited on: 2015-12-22 22:38

How can you say it "*does*" work, when you then follow up with "wait a month or so" when this is food outside a stockpile we are talking about here, the "month or so" you tell me to wait then means the food then rots and spreads miasma, with no resolution or ability to stop it so obviously it *does not* work and the bug and issue are still present.

Having a soldier drop their rations in their room after getting off duty, repeatedly, stockpiling food and letting it rot is a bug, disowning the room repeatedly and constantly is not a solution, especially with the added on stipulation of having to wait "months" for it to possibly work when dealing with rotting food.

When the militia gets off duty they should be allowed to continue their jobs without interruption or micromanagement, after all, that is what a militia is, the people arming themselves, if it was meant to be full time they would be called the army, or the guard.

 Even if they are meant to be full time, dropping food to rot where it is is unacceptable, under any shift change circumstance, and not allowing said dropped item to be dumped for any time period, or at all, is even more outlandish and unacceptable and should be considered a bug on all fronts.

(0034218)
lethosor (manager)
2015-12-27 09:08

I don't know if dumping things like owned (non-tattered) clothing is reasonable, but dumping rotting food is. (I marked 0001299 as a child of this, since it deals specifically with insanity.)
A save uploaded to http://dffd.bay12games.com/ [^] would be helpful for reproduction/testing/fixing purposes.

- Issue History
Date Modified Username Field Change
2011-03-31 02:02 Kogut New Issue
2012-03-17 08:35 Kogut Note Added: 0021532
2012-03-17 08:36 Kogut Note Edited: 0021532 View Revisions
2012-03-17 08:37 Kogut Note Edited: 0021532 View Revisions
2012-03-17 11:33 thvaz Note Added: 0021537
2012-03-19 07:07 Footkerchief Relationship added related to 0001299
2014-07-28 02:30 Knight Otu Relationship added parent of 0007680
2015-03-10 21:17 Afghani84 Issue Monitored: Afghani84
2015-12-21 14:15 NolanSyKinsley Note Added: 0034106
2015-12-22 20:54 Loci Note Added: 0034148
2015-12-22 20:54 Loci Note Edited: 0034148 View Revisions
2015-12-22 22:29 NolanSyKinsley Note Added: 0034150
2015-12-22 22:37 NolanSyKinsley Note Edited: 0034150 View Revisions
2015-12-22 22:38 NolanSyKinsley Note Edited: 0034150 View Revisions
2015-12-27 09:01 lethosor Relationship replaced parent of 0001299
2015-12-27 09:08 lethosor Note Added: 0034218
2015-12-27 09:08 lethosor Assigned To => lethosor
2015-12-27 09:08 lethosor Status new => needs feedback


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker